package com.prolog.cs.biz.inbound.model.rqc;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.bz.core.model.BaseModel;
import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description  
 * @Date 2021-04-02 
 */

@ApiModel
@Table ( value ="wms_in_rqc_line_pic",appendDefaultJdbcType = true,camelToUnderline = true )
public class RqcLinePic extends BaseModel implements Serializable {
	private static final long serialVersionUID =  5455263561988994678L;
	@Id
	@AutoKey(type=AutoKey.TYPE_SNOWFLAKE)
	 /** 唯一行号ID(主键雪花id) **/ 
	@ApiModelProperty(value = "唯一行号ID(主键雪花id)") 
	private String rqcPicLineId;

	 /** ID（来源RQC_TASK） **/ 
	@ApiModelProperty(value = "ID（来源RQC_TASK）") 
	private String taskRqcId;

	 /** 单据id **/ 
	@ApiModelProperty(value = "单据id") 
	private String rqcHeaderId;

	 /** 收货单头ID **/ 
	@ApiModelProperty(value = "收货单头ID") 
	private String rcvHeaderId;

	 /** 收货行头ID **/ 
	@ApiModelProperty(value = "收货行头ID") 
	private String rcvLineId;

	 /** 货主ID **/ 
	@ApiModelProperty(value = "货主ID") 
	private String mtlOwnerId;

	 /** 仓库ID **/ 
	@ApiModelProperty(value = "仓库ID") 
	private String warehouseId;

	 /** 来源单类型 **/ 
	@ApiModelProperty(value = "来源单类型") 
	private String sourceBillTyp;

	 /** 来源单头ID **/ 
	@ApiModelProperty(value = "来源单头ID") 
	private String sourceHeaderId;

	 /** 来源单行ID **/ 
	@ApiModelProperty(value = "来源单行ID") 
	private String sourceLineId;

	 /** ASN头ID **/ 
	@ApiModelProperty(value = "ASN头ID") 
	private String asnHeaderId;

	 /** ASN行ID **/ 
	@ApiModelProperty(value = "ASN行ID") 
	private String asnLineId;

	 /** 商品ID **/ 
	@ApiModelProperty(value = "商品ID") 
	private String itemId;

	 /** 行号 **/ 
	@ApiModelProperty(value = "行号") 
	private BigDecimal lineNum;

	 /** 批号 **/ 
	@ApiModelProperty(value = "批号") 
	private String batchId;

	 /** 图片名称 **/ 
	@ApiModelProperty(value = "图片名称") 
	private String picFileName;

	 /** 图片地址 **/ 
	@ApiModelProperty(value = "图片地址") 
	private String picFileUrl;

	 /** 上传时间 **/ 
	@ApiModelProperty(value = "上传时间") 
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date opDate;

	 /** 上传人员 **/ 
	@ApiModelProperty(value = "上传人员") 
	private String opUserid;

	 /** 采购单号 **/ 
	@ApiModelProperty(value = "采购单号") 
	private String refbillno;


	public String getRqcPicLineId() {
		return this.rqcPicLineId;
	}

	public void setRqcPicLineId(String rqcPicLineId) {
		this.rqcPicLineId = rqcPicLineId;
	}

	public String getTaskRqcId() {
		return this.taskRqcId;
	}

	public void setTaskRqcId(String taskRqcId) {
		this.taskRqcId = taskRqcId;
	}

	public String getRqcHeaderId() {
		return this.rqcHeaderId;
	}

	public void setRqcHeaderId(String rqcHeaderId) {
		this.rqcHeaderId = rqcHeaderId;
	}

	public String getRcvHeaderId() {
		return this.rcvHeaderId;
	}

	public void setRcvHeaderId(String rcvHeaderId) {
		this.rcvHeaderId = rcvHeaderId;
	}

	public String getRcvLineId() {
		return this.rcvLineId;
	}

	public void setRcvLineId(String rcvLineId) {
		this.rcvLineId = rcvLineId;
	}

	public String getMtlOwnerId() {
		return this.mtlOwnerId;
	}

	public void setMtlOwnerId(String mtlOwnerId) {
		this.mtlOwnerId = mtlOwnerId;
	}

	public String getWarehouseId() {
		return this.warehouseId;
	}

	public void setWarehouseId(String warehouseId) {
		this.warehouseId = warehouseId;
	}

	public String getSourceBillTyp() {
		return this.sourceBillTyp;
	}

	public void setSourceBillTyp(String sourceBillTyp) {
		this.sourceBillTyp = sourceBillTyp;
	}

	public String getSourceHeaderId() {
		return this.sourceHeaderId;
	}

	public void setSourceHeaderId(String sourceHeaderId) {
		this.sourceHeaderId = sourceHeaderId;
	}

	public String getSourceLineId() {
		return this.sourceLineId;
	}

	public void setSourceLineId(String sourceLineId) {
		this.sourceLineId = sourceLineId;
	}

	public String getAsnHeaderId() {
		return this.asnHeaderId;
	}

	public void setAsnHeaderId(String asnHeaderId) {
		this.asnHeaderId = asnHeaderId;
	}

	public String getAsnLineId() {
		return this.asnLineId;
	}

	public void setAsnLineId(String asnLineId) {
		this.asnLineId = asnLineId;
	}

	public String getItemId() {
		return this.itemId;
	}

	public void setItemId(String itemId) {
		this.itemId = itemId;
	}

	public BigDecimal getLineNum() {
		return this.lineNum;
	}

	public void setLineNum(BigDecimal lineNum) {
		this.lineNum = lineNum;
	}

	public String getBatchId() {
		return this.batchId;
	}

	public void setBatchId(String batchId) {
		this.batchId = batchId;
	}

	public String getPicFileName() {
		return this.picFileName;
	}

	public void setPicFileName(String picFileName) {
		this.picFileName = picFileName;
	}

	public String getPicFileUrl() {
		return this.picFileUrl;
	}

	public void setPicFileUrl(String picFileUrl) {
		this.picFileUrl = picFileUrl;
	}

	public Date getOpDate() {
		return this.opDate;
	}

	public void setOpDate(Date opDate) {
		this.opDate = opDate;
	}

	public String getOpUserid() {
		return this.opUserid;
	}

	public void setOpUserid(String opUserid) {
		this.opUserid = opUserid;
	}

	public String getRefbillno() {
		return this.refbillno;
	}

	public void setRefbillno(String refbillno) {
		this.refbillno = refbillno;
	}

}
